Bug 1937072 - Errata is missing for a content host after pulp3 migration+switchover
Summary: Errata is missing for a content host after pulp3 migration+switchover
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Errata Management
Version: 6.9.0
Hardware: x86_64
OS: Linux
unspecified
high vote
Target Milestone: 6.9.0
Assignee: Justin Sherrill
QA Contact: Vladimír Sedmík
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-03-09 18:18 UTC by Vladimír Sedmík
Modified: 2021-04-21 13:26 UTC (History)
2 users (show)

Fixed In Version: tfm-rubygem-katello-3.18.1.18-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-04-21 13:26:15 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 32066 0 Normal Ready For Testing errata are deleted after content switchover 2021-03-10 21:26:48 UTC
Red Hat Product Errata RHSA-2021:1313 0 None None None 2021-04-21 13:26:53 UTC

Description Vladimír Sedmík 2021-03-09 18:18:18 UTC
Description of problem:
Having a RHEL-7.7-ga content host registered to the Satellite, we can see hundreds of Installable Updates and Erratas for that host. After migration and switchover to pulp3 the errata is empty.


Version-Release number of selected component (if applicable):
6.9.0 snap 16


How reproducible:
1/1, however the underlying issue seems to be a race condition


Steps to Reproduce:
1. Have a Satellite with RHEL7 Server repos enabled and synced (rpms, optional, extras)
2. Register a RHEL-7.7-ga host to the Satellite, observe the applicable errata:
[root@satellite ~]# hammer host errata list --host contenthost.redhat.com
-----|----------------|-------------|----------------------------------------------------------------------------------|------------
ID   | ERRATUM ID     | TYPE        | TITLE                                                                            | INSTALLABLE
-----|----------------|-------------|----------------------------------------------------------------------------------|------------
4588 | RHSA-2021:0742 | security    | Important: screen security update                                                | true       
2000 | RHSA-2021:0699 | security    | Moderate: grub2 security update                                                  | true       
950  | RHSA-2021:0671 | security    | Important: bind security update                                                  | true       
4280 | RHBA-2021:0623 | bugfix      | microcode_ctl bug fix and enhancement update                                     | true       
1635 | RHBA-2021:0439 | bugfix      | glibc bug fix update                                                             | true       
5136 | RHSA-2021:0339 | security    | Important: linux-firmware security update                                        | true  
...
3. Run the content migration and switchover to pulp3, check the errata again:
[root@satellite ~]# hammer host errata list --host contenthost.redhat.com
---|------------|------|-------|------------
ID | ERRATUM ID | TYPE | TITLE | INSTALLABLE
---|------------|------|-------|------------


Actual results:
Errata is missing


Expected results:
Errata should be there


Additional info:
After host re-registration the errata is still missing.
After repositories resync the counts of 'Installable Updates' shown on the <SAT>/content_hosts page are restored to the original values, but the Errata is still missing in the host's details page/tab and hammer still shows an empty output.

Comment 1 Justin Sherrill 2021-03-09 18:43:16 UTC
It appears that the katello sync task is planning a Actions::Katello::Repository::ImportApplicability action even when pulp3 is in use for yum content

https://github.com/Katello/katello/blob/master/app/lib/actions/katello/repository/sync.rb#L66

We should condition that on    SETTINGS[:katello][:katello_applicability]  being false

Comment 2 Ian Ballou 2021-03-09 18:46:38 UTC
Created redmine issue https://projects.theforeman.org/issues/32060 from this bug

Comment 3 Bryan Kearney 2021-03-11 00:03:53 UTC
Upstream bug assigned to jsherril

Comment 4 Bryan Kearney 2021-03-11 00:03:55 UTC
Upstream bug assigned to jsherril

Comment 8 Vladimír Sedmík 2021-03-19 17:12:37 UTC
Verified on 6.9.0 snap 18 (tfm-rubygem-katello-3.18.1.20-1.el7sat.noarch), the errata is identical before and after the migration+switchover.

Comment 11 errata-xmlrpc 2021-04-21 13:26:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: Satellite 6.9 Release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:1313


Note You need to log in before you can comment on or make changes to this bug.